#!/bin/bash
. /home/native/.profile
#Hidden everything
#Create by MaMa.
mypath=`dirname "$0"`
inputbox=$mydir/inputbox
showQ=$mydir/showQ
mp=`pwd`
ver="2.0"
pro='Your Hidden 2.0'
dm_setting_root=/ezx_user/download/appwrite/setup/
cd $mypath


hifolder () {
$showQ -u -1 "" -m "Opening folder tree, please wait..." &
	carpe=`$inputbox -getfolder | sed 's/Folder=//g' | sed 's/The encoding of the file is not recognized! (not Unicode , GB2312 or BIG5 encoding) //g'`; start-stop-daemon --start --exec /bin/kill ` pidof $showQ `
	#carpe=`echo $self | sed 's/The encoding of the file is not recognized! (not Unicode , GB2312 or BIG5 encoding) //g'`
	if [ "$carpe" = "" ]; then
	
	err=`$showQ -s "Dialog_Exclamatory_Mark" -m "No selected folder" -1 "Back" -2 "Exit" -t15`
		if [ "$err" = "0" ]; then
			main
		else
			exit
		fi
	fi

		a=`basename "$carpe"`
		mya=`dirname "$carpe"`
		ss=`grep "$carpe" "$mypath/list.db"`
	if [ ! "$ss" = "" ]; then
	msg=`$showQ -s "Dialog_Exclamatory_Mark" -m "ERROR! There is already a hidden folder named <font color="#FF0000">".${a}"</font> on current directory" -1 "Back" -2 "Exit" -t15`
		if [ "$msg" = "0" ]; then
			main
			exit
		else
			exit
		fi
	fi
		echo $carpe >> $mypath/list.db
		echo ${a} >> $mypath/show.db
		mv "${mya}/${a}" "${mya}/.${a}"

		msg=`$showQ -t10 -g "./encry.png" -m "Folder <font color="#FF0000">"$a"</font> is hidden. Do you wish to go <font color="#0000FF">Back</font> or <font color="#0000FF">Exit</font>?" -1 "Back" -2 "Exit" -t15`
		if [ "$msg" = "0" ]; then
			main
		else
			exit
		fi
}			

hifile () {
$showQ -u -1 "" -m "Openning folder tree, please wait..." &
	files=`$inputbox -getfile -s -x "" | sed -n s/^File=//gp`; start-stop-daemon --start --exec /bin/kill ` pidof $showQ `
	if [ "$files" = "" ]; then
	err=`$showQ -s "Dialog_Exclamatory_Mark" -m "No selected file" -1 "Back" -2 "Exit" -t15`
		if [ "$err" = "0" ]; then
			main
		else
			exit
		fi
	fi

		a=`basename "$files"`
		mya=`dirname "$files"`
		ss=`grep "$files" "$mypath/list.db"`
	if [ ! "$ss" = "" ]; then
	msg=`$showQ -s "Dialog_Exclamatory_Mark" -m "ERROR! There is already a hidden file named <font color="#FF0000">".${a}</font>" on current dir." -1 "Back" -2 "Exit" -t15`
		if [ "$msg" = "0" ]; then
			main
			exit
		else
			exit
		fi
	fi
		echo $files >> $mypath/list.db
		echo ${a} >> $mypath/show.db
		mv "${mya}/${a}" "${mya}/.${a}"

		msg=`$showQ -t10 -g "./encry.png" -m "File <font color="#FF0000">"$a"</font> is hidden. Do you wish to go <font color="#0000FF">Back</font> or <font color="#0000FF">Exit</font>?" -1 "Back" -2 "Exit" -t15`
		if [ "$msg" = "0" ]; then
			main
		else
			exit
		fi
}			



main () {
list=`sed -ne 30p $mypath/list.db`
if [ "$list" != "" ] ;then
msg=`$showQ -s "Dialog_Exclamatory_Mark" -u -m "Maximum number of folders/files" -1 "Back" -2 "Exit" -t15`
	if [ "$msg" = "0" ]; then
		main
	else
		exit
	fi
fi
men=`$showQ -u -m "<font color="#0000FF">Your Hidden V.$ver</font><br><font color="#0000FF">Folder </font>: Add  folder to hidden<br><font color="#0000FF">File </font>: Add file to hidden<br><font color="#0000FF">Show </font>: Show items<br>Exit after 10s" -1 "Folder" -2 "File" -3 "Show" -t20`
	if [ "$men" = "0" ]; then 
		hifolder
	fi
	if [ "$men" = "1" ]; then 
		hifile
	fi
	if [ "$men" = "2" ]; then
# Show
	list=`sed -ne 1p $mypath/list.db`
		if [ "$list" = "" ]; then
		msg=`$showQ -s "Dialog_Exclamatory_Mark" -m "No hidden items" -1 "Back" -2 "Exit" -t15`
			if [ "$msg" = "0" ]; then
				main
			else
				exit
			fi
		fi
	$showQ -u -1 "" -m "Loading, please wait..." &
	entr2=""
	num=1
	while [ "$list" != "" ]
	do
	listx=`sed -ne ${num}p $mypath/list.db`
		if [ "$listx" = "" ]
		then
		break
		fi
		list=`sed -ne ${num}p $mypath/list.db`
		show=`sed -ne ${num}p $mypath/show.db`
		
		ello=`echo "${show}" | sed -e 's/ /_/g'`
		entr2="${entr2} -item ${ello}"
		num=`let ${num}+1`
	done
			input=`$inputbox -t "Show folders" -l "Select a Folder" -check $entr2 | sed 's/Selection=//g'| sed 's/,/\\\n/g'` ; start-stop-daemon --start --exec /bin/kill ` pidof $showQ `
				if [ "$input" = "" ]; then

				msg=`$showQ -s "Dialog_Exclamatory_Mark" -m "No selected item(s)" -1 "Back" -2 "Exit" -t15`
					if [ "$msg" = "0" ]; then
						main
					else
						exit				
					fi
				fi
			num2=1
		 	list2=`sed -ne 1p $mypath/list.db`
			ron=1
			enjr=""
			sig=""
			# aqui proceso iterativo
				while [ "$ron" != "" ]
				do
				ron=`echo $input | sed -ne ${num2}p`
				list2=`sed -ne ${ron}p $mypath/list.db`
				l1=`basename "$list2"`
				l2=`dirname "$list2"`					
				if [ "$ron" = "" ]
				then
					break
				fi
					if [ -e "$list2" ]
					then
					msg=`$showQ -s "Dialog_Exclamatory_Mark" -m "ERROR <font color="#FF0000">"${list2}"</font>  already exists in the current directory" -1 "Back" -2 "Exit" -t15`
						if [ "$msg" = "0" ]; then
							main
							exit
						else
							exit
						fi
					fi
				
				mv "${l2}/.${l1}" "$list2"
				splt="${ron}d"
				enjr0="${enjr0} ${sig} ${splt}"
				bollo="${ron}d"
				enjr="${enjr} ${sig} ${bollo}"
				sig=";"
				num2=`let ${num2}+1`
			done
				sed "${enjr}" $mypath/list.db > $mypath/second.p
				mv -f $mypath/second.p $mypath/list.db
				sed "${enjr}" $mypath/show.db > $mypath/second2.p					
				mv -f $mypath/second2.p $mypath/show.db

			msg=`$showQ -t10 -g "$mypath/decry.png" -m "Item(s) visibled. Go <font color="#0000FF">Back</font> or <font color="#0000FF">Exit</font>?" -1 "Back" -2 "Exit"`
			if [ "$msg" = "0" ]; then
				main
			else
				exit
			fi

	else
		exit
	fi	

	}
inputpass () {
	enter=`$inputbox -t "<font color="#FF0000">$pro</font>" -l "Enter password:" -gettext -m password | sed 's/Text=//g'`
	read proces < ${dm_setting_root}/ezx_password_app.cfg
	
	if [ "$enter" = "$proces" ]; then
		main
	fi
	if [ ! "$enter" = "" ] && [ ! "$enter" = "$proces" ] ; then
		abc=`$showQ -t5 -s "Dialog_Exclamatory_Mark" -m "Wrong password.<br>Try again?" -1 "Retry" -2 "Exit" `
		if [ "$abc" = "0" ];	then 
			inputpass
		else 
			exit
		fi
	fi
	if [ "$enter" = "" ]; then
		exit
	fi	
	}
if [ ! -f ${dm_setting_root}/ezx_password_app.cfg ]; then cp -f $mypath/ezx_password_app.cfg ${dm_setting_root}/ezx_password_app.cfg; fi
inputpass	
main
	
	
	